﻿using System;
using System.Collections.Generic;
using System.Text;
using Syncfusion.SfSchedule.XForms;
using Xamarin.Forms;

namespace ScheduleTimeLabel
{
    class ScheduleBehavior : Behavior<ContentPage>
    {
        SfSchedule schedule;
        protected override void OnAttachedTo(ContentPage bindable)
        {
            base.OnAttachedTo(bindable);
            schedule = bindable.FindByName<SfSchedule>("schedule");
            schedule.TimeInterval = 1;
            TimelineViewSettings timelineViewSettings = new TimelineViewSettings();
            timelineViewSettings.StartHour = 0;
            timelineViewSettings.EndHour = 1;
            schedule.TimelineViewSettings = timelineViewSettings;
            TimelineLabelSettings labelSettings = new TimelineLabelSettings();
            labelSettings.TimeFormat = string.Format(" 'Room' ") + " " + "mm";
            timelineViewSettings.LabelSettings = labelSettings;
        }
    }
}
